Mail archive
alpine-aports

[alpine-aports] [PATCH 4/7] testing/py-backports_abc

From: Peter Bui <pnutzh4x0r_at_gmail.com>
Date: Sat, 21 Nov 2015 14:42:24 -0600

New required dependency for main/py-tornado 4.3
---
 testing/py-backports_abc/APKBUILD | 40 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/py-backports_abc/APKBUILD
diff --git a/testing/py-backports_abc/APKBUILD b/testing/py-backports_abc/APKBUILD
new file mode 100644
index 0000000..3a196d7
--- /dev/null
+++ b/testing/py-backports_abc/APKBUILD
_at_@ -0,0 +1,40 @@
+# Maintainer: Peter Bui <pnutzh4x0r_at_gmail.com>
+pkgname=py-backports_abc
+_pkgname=backports_abc
+pkgver=0.4
+pkgrel=0
+pkgdesc="A backport of recent additions to the collections.abc Python module"
+url="https://github.com/cython/backports_abc"
+arch="noarch"
+license="custom"
+depends="python" 
+depends_dev="py-setuptools"
+makedepends="python-dev $depends_dev"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1 || return 1
+}
+
+md5sums="0b65a216ce9dc9c1a7e20a729dd7c05b  backports_abc-0.4.tar.gz"
+sha256sums="8b3e4092ba3d541c7a2f9b7d0d9c0275b21c6a01c53a61c731eba6686939d0a5  backports_abc-0.4.tar.gz"
+sha512sums="0b7f9cc1d12db16a0c0eaf658fd874bf9fe09959fab65d1b0104d337fb20cceb2e3e9213be895df5951876846eccac85012c270e34197d625ce128b688e847ae  backports_abc-0.4.tar.gz"
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Nov 21 2015 - 14:42:24 GMT